Bug 555831 - (CVE-2010-0421) CVE-2010-0421 libpangoft2 segfaults on forged font files
CVE-2010-0421 libpangoft2 segfaults on forged font files
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=redhat,public=...
: Security
Depends On: 558933 558934 558936 559168 559169 566491 568150 573883 833948
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-15 12:08 EST by Marc Schoenefeld
Modified: 2015-08-19 04:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2010-01-15 12:08:04 EST
Marc Schoenefeld found an improper input sanitization, leading to
array indexing error, in the way Pango font rendering library
synthesized Glyph Definition Table (GDEF) from the font's character
map and the Unicode property database. If a local user was tricked
into loading a specially-crafted font file in an application,
using the Pango font rendering library, it could lead to denial
of service (relevant application crash).
Comment 11 errata-xmlrpc 2010-03-15 19:14:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2010:0140 https://rhn.redhat.com/errata/RHSA-2010-0140.html

Note You need to log in before you can comment on or make changes to this bug.